Browse Source

[goal] Migrate testing to ubuntu focal

As per victoria cycle testing runtime and community goal[1]
we need to migrate upstream CI/CD to Ubuntu Focal(20.04).

Fixing:
- bug#1886298
Bump the lower constraints for required deps which added python3.8 support
in their later version.

Story: #2007865
Task: #40196

Closes-Bug: #1886298

[1] https://governance.openstack.org/tc/goals/selected/victoria/migrate-ci-cd-jobs-to-ubuntu-focal>

Change-Id: I643f1f2d97b10cd8b878ea632ef57fcafeb229bf
tags/4.1.1^0
Ghanshyam Mann 2 months ago
parent
commit
471e37df02
2 changed files with 6 additions and 6 deletions
  1. +5
    -5
      lower-constraints.txt
  2. +1
    -1
      requirements.txt

+ 5
- 5
lower-constraints.txt View File

@@ -4,12 +4,12 @@ appdirs==1.3.0
asn1crypto==0.23.0
Babel==2.3.4
cachetools==2.0.0
cffi==1.7.0
cffi==1.14.0
cliff==2.8.0
cmd2==0.8.0
contextlib2==0.4.0
coverage==4.0
cryptography==2.1
cryptography==2.7
debtcollector==1.2.0
decorator==3.4.0
deprecation==1.0
@@ -23,7 +23,7 @@ fixtures==3.0.0
flake8==2.5.5
future==0.16.0
futurist==1.2.0
greenlet==0.4.10
greenlet==0.4.15
hacking==0.12.0
idna==2.6
imagesize==0.7.1
@@ -36,7 +36,7 @@ jsonschema==2.6.0
keystoneauth1==3.4.0
kombu==4.0.0
linecache2==1.0.0
MarkupSafe==1.0
MarkupSafe==1.1.1
mccabe==0.2.1
monotonic==0.6
mox3==0.20.0
@@ -88,7 +88,7 @@ python-novaclient==9.1.0
python-openstackclient==3.12.0
python-subunit==1.0.0
pytz==2013.6
PyYAML==3.12
PyYAML==3.13
repoze.lru==0.7
requests-mock==1.2.0
requests==2.14.2


+ 1
- 1
requirements.txt View File

@@ -8,6 +8,6 @@ oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
PyYAML>=3.12 # MIT
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0

Loading…
Cancel
Save